<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <!--<app-header v-bind:프롭스 속성 이름="상위 컴포넌트의 데이터 이름"></app-header>-->
        <app-header v-bind:propsdata="message"></app-header>
        <app-content :propsdata="num"><app-div></app-div></app-content>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        var appHeader = {
            template: '<h1>header{{propsdata}}</h1>',
            props:['propsdata']
        }
        var appContent = {
            template: '<div>content{{propsdata}}</div>',
            props:['propsdata'],
            components: {
                'app-div': appDiv
            }
       }
        var appDiv = {
            template: '<div>appdiv</div>',
        }
        new Vue({
            el: '#app',
            components: {
                'app-header' : appHeader,
                'app-content' : appContent
            },
            data: {
                message: 'hi',
                num: 10
            }
        })
    </script>
</body>
</html>